%define _use_internal_dependency_generator 0
%define cpanname XML-SAX-Base

Name:    perl-%{cpanname}
Version: 1.04
Release: 0.2.ker.rhel3
Summary: Perl XML::SAX::Base module - Base class SAX Drivers and Filters.
License: Distributable
Group:   Development/Libraries
URL:     http://search.cpan.org/search?mode=module&query=%{cpanname}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: %{cpanname}-%{version}.tar.gz
BuildArch: noarch

%description
This module has a very simple task - to be a base class for PerlSAX drivers and
filters. It's default behaviour is to pass the input directly to the output
unchanged. It can be useful to use this module as a base class so you don't
have to, for example, implement the characters() callback.

%prep
%setup -q -n %{cpanname}-%{version}

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v perllocal.pod | \
        grep -v "\.packlist" > %{cpanname}-%{version}-filelist
if [ "$(cat %{cpanname}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{cpanname}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Wed Jun 30 2004 Milan Kerslager <kerslage@linux.cz> 1.04-0.2.ker.rhel3
- initial version
